.input-text,
.select-input,
.input-time-picker {
  &.mat-form-field-appearance-outline .mat-select-arrow-wrapper {
    transform: none;
  }

  &.mat-form-field-appearance-outline .mat-form-field-outline {
    border-radius: 11px;
    border: none;
    color: rgba(151, 151, 151, 0.3);
    top: 0;
    opacity: 1 !important;
  }

  &.mat-form-field-appearance-outline .mat-form-field-outline-end,
  &.mat-form-field-appearance-outline .mat-form-field-outline-start {
    border: 2px solid rgba(151, 151, 151, 0.3);
  }

  &.mat-form-field-appearance-outline .mat-form-field-outline-start {
    border-right-style: none;
    border-radius: 11px 0 0 11px;
    min-width: 11px;
  }

  &.mat-form-field-appearance-outline .mat-form-field-outline-end {
    border-left-style: none;
    border-radius: 0 11px 11px 0;
  }

  .mat-form-field-wrapper {
    padding: 0;
  }

  &.mat-form-field-appearance-outline .mat-form-field-outline-thick {
    opacity: 0 !important;
    border: none;
  }

  &.mat-form-field-appearance-outline .mat-form-field-infix {
    border: none;
    padding: 10px 0;
    color: #34353d;
  }

  &.mat-form-field-appearance-outline .mat-form-field-prefix,
  &.mat-form-field-appearance-outline .mat-form-field-suffix {
    top: 0;
    color: #b1b1b1;
  }
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}
